Copyright: Copyright(C)1997 MITSUBISHI ELECTRIC Corp.


SW0PC-FXGP/WIN-E Help of programming software
  SWOPC-FXGP/WIN-E Help of programming software

  SWOPC-FXGP/WIN-E User's guide

    Description about outline and constitution of SWOPC-FXGP/WIN-E.

  SWOPC-FXGP/WIN-E Reference guide

    Description about functions and operations of SWOPC-FXGP/WIN-E.


SW0PC-FXGP/WIN-E User's guide
  SWOPC-FXGP/WIN-E User's guide

Outline

SWOPC-FXGP/WIN-E is programming software applicable to FX series programmable controller, and operates on Windows 3.1.

In SWOPC-FXGP/WIN-E, you can create sequence program by using circuit symbols, list language, and SFC symbol, make comment data, and set register data.

Created sequence program and various data can be saved in file, or printed by printer, and can be saved as document.

It can communicate with the programmable controller in serial system, and program transfer, operation monitor, and various test functions can be executed.

Composition

  Product composition

  Operating environment


Product composition

The SWOPC-FXGP/WIN-E comprises the following.

 - SWOPC-FXGP/WIN-E type system floppy disk, 3.5 inch (1.44 MB), 2 disks

 - Operation manual

 - Software registration card

Optional functions

The interface unit and cables are options.

[Interface unit]

  FX-232AWC type RS-232C/RS-422 converter (portable type)

  FX-232AW type RS-232C/RS-422 converter (built-in type)

[RS-232C cable]

  F2-232CAB type RS-232C cable (for PC-9800, for Dsub 25-pin connector, 3 m)

  F2-232CAB-2 type RS-232C cable (for PC-9800, for half-pitch 14-pin connector, 3 m)

  F2-232CAB-1 type RS-232C cable (for PC/AT, for Dsub 9-pin connector, 3 m)

[RS-422 cable]

  FX-422CAB0 type RS-422 cable [for FX0, FX0S, FX0N programmable controller, 1.5 m)

  FX-422CAB type RS-422 cable [for FX1, FX2, FX2C programmable controller, 0.3 m)

  FX-422CAB-150 type RS-422 cable [for FX1, FX2, FX2C programmable controller, 1.5 m)


Operating environment

The environment of the PC for using the SWOPC-FXGP/WIN-E is as follows.

[PC and memory]

Model:  IBM PC/AT (compatible)

CPU:  i486SX or higher.

Memory:  8 Mbytes or more (recommended 16 Mbytes or more)

[Hard disk]

Essential.

[Floppy disk drive]

One drive essential.

[Mouse]

Mouse or pointing device working on Windows is needed to open up the full functions.

[Display]

Resolution 800 x 600 dots, 16 colors or more.

[Printer]

Printer working on Windows is needed.

[Operating system]

MS-DOS (MS-DOS/V)

Windows 3.1 (386 enhanced mode)

Windows 95


SW0PC-FXGP/WIN-E Reference guide
  SWOPC-FXGP/WIN-E Reference guide

Functions

  Circuit edit

  List sdit

  SFC edit

  Comment edit

  Register edit

  File

  Print

  PLC operation

  Telephone line

  Entry monitor

  Test

  Option

  Window

  Help


Ladder edit

  Edit

    Cut

    Copy

    Paste

    Delete

    Line delete

    Line insert

    Select block

    Device name

    Device comment

    Coil comment

    Block comment

  Tool

    Contact

    Coil

    Function

    Wire

    All clear

    Convert

  Search

    Go to Top

    Go to End

    Device name search

    Device saerch

    Instruction search

    Contact/Coil search

    Go to step

    Change device number

    Change bit device

    Swap device number

    Tag set

    Tag jump

  View

    Ladder view

    Instruction view

    SFC view

    Comment view

    Register view

    Tool bar

    Status bar

    Function key

    Contact/Coil list display

    Device used list display

    TC setting list display

    Comment display

    Zoom

  PLC operation

    Runtime program change

  Monitor

    Start monitor/Stop monitor


Instruction edit

  Edit

    Undo

    Cut

    Copy

    Paste

    Delete

    NOP overwrite

    NOP insert

    NOP remove

  Tool

    Instruction

    All clear

  Search

    Go to Top

    Go to End

    Device name search

    Device saerch

    Instruction search

    Contact/Coil search

    Go to step

    Change device number

    Change bit device

    Swap device number

    Tag set

    Tag jump

  View

    Ladder view

    Instruction view

    SFC view

    Comment view

    Register view

    Tool bar

    Status bar

    Function key

    Contact/Coil list display

    Device used list display

    TC setting list display

    Comment display

    Zoom


SFC edit

  Edit

    Delete

  Tool

    All clear

    Convert

  Search

    Go to Top

    Go to End

    Device name search

    Go to state

  View

    Ladder view

    Instruction view

    SFC view

    Comment view

    Register view

    Tool bar

    Status bar

    Function key

    Contact/Coil list display

    Device used list display

    TC setting list display

    Comment display

    Zoom

  Monitor

    Start monitor/Stop monitor

    Start autemonitor/Stop autemonitor


Comment edit

  Edit

    Undo

    Cut

    Copy

    Paste

    Delete

  Tool

    All clear

  Search

    Go to Top

    Go to End

    Character search

    Change character

  View

    Ladder view

    Instruction view

    SFC view

    Comment view

    Register view

    Tool bar

    Status bar

    Function key

    Contact/Coil list display

    Device used list display

    TC setting list display

    Zoom


Register edit

  Edit

    Undo

    Cut

    Copy

    Paste

    Delete

  Tool

    All clear

  Search

    Go to Top

    Go to End

  View

    Ladder view

    Instruction view

    SFC view

    Comment view

    Register view

    Tool bar

    Status bar

    Function key

    Display change

    Zoom


File

  New

  Open

  Close and open

  Save

  Affix name and save


Print

  Print

  Print all

  Page setup

  Print preview

  Printer setup


PC operation

  Program transfer

  Register data transfer

  PLC memory clear

  Serial setting (D8120)

  PLC keyword current or delete

  Runtime program changes

  Remote RUN/STOP

  PLC diagnostics

  Sampling trace

    View

      Display setting

  Ports


Telephone line

Remote

  Connection

  Disconnection

  File transfer

  Environment


Entry monitor

  Entry device monitor

    Edit

      Entry device

    View

      Display setting


Test

  Force Y output

  Force ON/OFF

  Change current value

  Change setting value


Option

  Program check

  Parameters setting

  Keyword setting

  PLSs mode setting

  Serial setting (parameter)

  Printer title

  Device range setting

  Comment move

  PLC type change

  Preferences

  EPROM transfer

  Fonts setting


Window

<Cascade>

  Open windows are displayed by shifting slightly so that title bars of all windows may be visible.

<Tile horizontal>

  Open windows are displayed in vertical arrangement so that all windows may be visible.

<Tile vertical>

  Open windows are displayed in lateral arrangement so that all windows may be visible.


Help

<Index>

  Help is displayed on the table of contents.

<How to use help>

  The manner of using Help is displayed.

<About SW0PC-FXGP/WIN-E>

  The version information of SWOPC-FXGP/WIN-E is displayed.


Undo (Ladder edit)Undo (Ladder edit)

KUndo (Ladder edit)

[Edit] - [Undo]

Function

To cancel the command executed or data entered immediately before, and return to previous state.

Operating method

Return to previous edit state by [Edit] - [Undo] menu operation or [Ctrl] + [Z] key operation.

Caution

1.  Unable to restore depending on the function.


Cut (Ladder edit)

[Edit] - [Cut]

Function

To cut off in circuit block unit.

Operating method

Select the circuit block by [Edit] - [Block select] operation.  By [Edit] - [Cut] menu operation or [Ctrl] + [X] key operation, the selected circuit block is cut off.  The cut data is stored in the clip board.

Caution

1.  If the data of the circuit block to be cut off exceeds the capacity of the clip board, the cut operation is disabled.

Related item

  Paste (Ladder edit)

  Block select (Ladder edit)


Copy (Ladder edit)

[Edit] - [Copy]

Function

To copy in circuit block unit.

Operating method

Select the circuit block by [Edit] - [Block select] operation.  By [Edit] - [Copy] menu operation or [Ctrl] + [C] key operation, the selected circuit block is stored in the clip board.

Caution

1.  If the data of the circuit block to be copied exceeds the capacity of the clip board, the copy operation is disabled.

Related item

  Paste (Ladder edit)

Block select (Ladder edit)


Paste (Ladder edit)

[Edit] - [Paste]

Function

To paste in circuit block unit.

Operating method

By [Edit] - [Paste] menu operation, or [Ctrl] + [V] key operation, the selected circuit block is pasted.  The circuit block data to be pasted is the data stored in the clip board by cut operation or copy operation.

Caution

1.  If the data of the clip board cannot be recognized as circuit block, the paste operation is disabled.

Related item

  Cut (Ladder edit)

  Copy (Ladder edit)


Delete (Ladder edit)

[Edit] - [Delete]

Function

To delete in circuit symbol and circuit block unit.

Operating method

Delete the circuit symbol at which the cursor is positioned by [Edit] - [Delete] menu operation or [Delete] key operation.  To execute deletion in circuit block unit, first select the circuit block by [Edit] - [Block select] operation.  Then, by [Edit] - [Delete] menu operation or [Delete] key operation, the selected circuit block is deleted.

Caution

1.  Deleted data is not stored in clip board.

Related item

  Copy (Ladder edit)


Line delete (Ladder edit)

[Edit] - [Line delete]

Function

To delete circuit block in line unit.

Operating method

By [Edit] - [Line delete] menu operation or [Ctrl]+[Delete] key operation, the circuit block of the line which the cursor is positioned is deleted.

Caution

1.  This operation is disabled while creating (correcting) the circuit.  Execution this operation after executing circuit change.

2.  The data of deleted line is not stored in the clip board.


Line insert (Ladder edit)

[Edit] - [Line insert]

Function

To insert a line.

Operating method

By [Edit] - [Line insert] menu operation, a line is inserted above the cursor position.


Block select (Ladder edit)

[Edit] - [Block select] - [Up]

[Edit] - [Block select] - [Down]

Function

To select the circuit in block unit.  To be executed as the operation for selecting the circuit block when executing cut & paste or copy & paste of circuit block.

Operating method

The circuit block is selected by [Edit] - [Block select] - [Up] or[Edit] - [Block select] - [Down] menu operation, or [Ctrl] + [­] or [Ctrl] + [¯ ] key operation.  By repeating the same operation, plural blocks can be selected in the vertical direction.

Related item

  Cut (Ladder edit)

  Copy (Ladder edit)


Device name

[Edit] - [Device name...]

Function

To enter a device name while editing a circuit.

Operating method

By executing [Edit] - [Device name] menu operation, the device name input dialog box is displayed.  When the device name is already registered, the device name is displayed.  Enter the device name in the input column and press Enter key or click OK button, then the device name is registered for the device of the circuit symbol at which the cursor is positioned.

Caution

1.  For device name, alphanumeric characters and symbols can be used, and the length is limited within 8 characters.

2.  Same name cannot be registered in duplicate.


Device comment

[Edit] - [Device comment...]

Function

To enter device comment while editing the circuit.

Operating method

By executing [Edit] - [Device comment] menu operation, the device comment input dialog box is displayed.  When the device comment is already registered, the device comment is displayed.  Enter the device comment in the input column and press Enter key or click OK button, then the device comment is registered for the device of the circuit symbol at which the cursor is positioned.

Caution

1.  The device comment should be given within 50 characters.


Coil comment

[Edit] - [Coil comment...]

Function

To enter coil comment while editing the circuit.

Operating method

By executing [Edit] - [Coil comment] menu operation, the coil comment input dialog box is displayed.  When the coil comment is already registered, the coil comment is displayed.  Enter the coil comment in the input column and press Enter key or click OK button, then the coil comment is registered for the coil command or application command at which the cursor is positioned.

Caution

1.  The coil comment is not limited in the number of characters.


Block comment

[Edit] - [Block comment...]

Function

To enter block comment while editing the circuit.

Operating method

By executing [Edit] - [Block comment] menu operation, the block comment input dialog box is displayed.  When the Block comment is already registered, the block comment is displayed.  Enter the block comment in the input column and press Enter key or click OK button, then the block comment is registered for the circuit block at which the cursor is positioned.

Caution

1.  The block comment is not limited in the number of characters.


Contact

[Tool] - [Contact] - [-| |-...]

[Tool] - [Contact] - [-|/|-...]

[Tool] - [Contact] - [-|P|-...]

[Tool] - [Contact] - [-|F|-...]

Function

To enter the contact symbol of circuit symbol.

Operating method

The device input dialog box is displayed by selecting A contact symbol by [Tool] - [Contact] - [-| |-] menu operation, B contact symbol by [Tool] - [Contact] - [-|/|-] menu operation, rise contact symbol by [Tool] - [Contact] - [-|P|-] menu operation, or fall contact symbol by [Tool] - [Contact] - [-|F|-] menu operation.  Enter the device in the device input column, and press Enter or click OK button, then the contact symbol is registered at the cursor position.  By clicking Reference button, the device detail dialog box is displayed, and more specific setting can be done.

Related item

  Device detail


Coil

[Tool] - [Coil]

Function

To enter OUT coil symbol of circuit symbol.

Operating method

By [Tool] - [Coil] menu operation, the device input dialog box is displayed.  Enter the device in the device input column, and press Enter or click OK button, then the OUT coil symbol is registered at the cursor position.  By clicking Reference button, the device detail dialog box is displayed, and further specific setting can be done.

Related item

  Device detail


Function

[Tool] - [Function]

Function

To enter Function, coil command, etc.

Operating method

By [Tool] - [Function] menu operation, the command input dialog box is displayed.  Enter the device in the application input column, and press Enter or click OK button, then the application command is registered at the cursor position.  By clicking Reference button, the command detail dialog box is displayed, and further specific setting can be done.

Related item

  Function detail


Line

Wire

[Tool] - [Wire] - [ | ]

[Tool] - [Wire] - [ - ]

[Tool] - [Wire] - [ - / - ]

[Tool] - [Wire] - [ | DEL]

Function

To enter vertical line and horizontal line, and delete vertical line.

Operating method

The vertical line is registered by [Tool] - [Wire] - [ | ] menu operation, horizontal line is registered by [Tool] - [Wire] - [ - ] menu operation, invert line is registered by [Tool] - [Wire] - [ - / -] menu operation, and vertical line is deleted by [Tool] - [Wire] - [ | DEL] menu operation.


All clear

[Tool] - [All clear...]

Function

To clear (NOP command) program area.

Operating method

By [Tool] - [All clear] menu operation, the all clear dialog box is displayed.  By clicking Enter or clicking OK button, all clear processing is executed.

Caution

1.  What is cleared is the program area only, and the set data of the parameter is unchanged.


Convert (Ladder edit)

[Tool] - [Convert]

Function

To convert the created circuit diagram into list format, and store on the memory inside of the personal computer.

Operating method

Executed by [Tool] - [Convert] menu operation, or function key [Convert] button (F4 key) push operation.  During the convert action, the message "Circuit convert being executed" is displayed.

Caution

1.  When the circuit window is closed without executing this convert operation, the created circuit diagram is erased.


Go to Top

[Search] - [Go to Top]

Function

To display the program at the beginning step position.

Operating method

Executed by [Search] - [Go to Top] menu operation, or [Ctrl] + [HOME] key operation.


Go to End

[Search] - [Go to End]

Function

To display the program at the final step position.

Operating method

Executed by [Search] - [Go to End] menu operation, or [Ctrl] + [END] key operation.


Device name search

[Search] - [Device name search...]

Function

To search the device name in character string unit.

Operating method

By [Search] - [Device name search] menu operation, the dialog box of device name search is displayed.  Enter the device name to be searched, and click Run button or press Enter key, then the device name search is executed, and the cursor is moved to the position of the device name containing the entered character string, and the display is changed over.


Device search

[Search] - [Device search...]

Function

To specify and search the device.

Operating method

By [Search] - [Device search] menu operation, the dialog box of device search is displayed.  Enter the device to be searched, and click Run button or press Enter key, then the device search is executed, and the cursor is moved to the position of the entered device, and the display is changed over.


Instruction search

[Search] - [Instruction search...]

Function

To specify and search the instruction.

Operating method

By [Search] - [Instruction search] menu operation, the dialog box of instruction search is displayed.  Enter the command to be searched, and click Run button or press Enter key, then the instruction search is executed, and the cursor is moved to the position of the entered instruction, and the display is changed over.


Contact / Coil search

[Search] - [Contact / coil search...]

Function

To specify and search an arbitrary contact or coil.

Operating method

By [Search] - [Contact / coil search] menu operation, the dialog box of contact, coil search is displayed.  Enter the contact or coil to be searched, and click Run button or press Enter key, then the contact or coil search is executed, and the cursor is moved to the position of the entered contact or coil, and the display is changed over.


Go to step

[Search] - [Go to step...]

Function

To specify and search an arbitrary step No.

Operating method

By [Search] - [Go to step] menu operation, the dialog box of step No. search is displayed.  Enter the step No. to be searched, and click Run button or press Enter key, then the step No. search is executed, and the cursor is moved to the position of the entered step No., and the display is changed over.


Change device number

[Search] - [Change device number...]

Function

To replace the device No. of specified device.

Operating method

By [Search] - [Change device number] menu operation, the dialog box of device replace is displayed.  Specify the range of the device to be replaced, and specify the device to be replaced.  By clicking Run button or pressing Enter key, the device replacement is executed.

  [Example]

    To replace X10 to X15 with X20 to X25:

    Enter [X10] to [X15] in the column of [Device to be replaced] and enter [X10] in the column of [Beginning of replacing data].

    You can also specify either sequential replacement or batch replacement, or specify whether or not to move the comment together, or replace together with device of application command or not.

Caution

1.  The device to be specified is limited to same device only.


Change bit device

[Search] - [Change bit device...]

Function

To change over A contact and B contact of specified device to B contact and A contact, respectively.

Operating method

By [Search] - [Change bit device] menu operation, the dialog box of A, B contact change is displayed.  Specify the range of the device to be changed, and click Run button or press Enter key, then the A, B contact change is executed.  You can specify either sequential change or batch change.

Caution

1. The device to be specified is limited within the range of same device.


Swap device number

[Search] - [Swap device number...]

Function

To exchange two specified devices.

Operating method

By [Search] - [Swap device number] menu operation, the dialog box of device exchange is displayed.  Specify the device to be exchanged, and click Run button or press Enter key, then the device exchange is executed.  You can specify either sequential change or batch change.

Caution

1.  The device to be specified is limited to same device only.


Tag set

[Search] - [Tag set]

Function

To set tag position for tag jump operation.

Operating method

By [Search] - [Tag set] menu operation, the step No. of cursor position is set.  In the circuit window, the beginning step of the circuit block is set.

Caution

1.  Up to five step numbers can be registered.

Related item

  Tag jump


Tag jump

[Search] - [Tag jump]

Function

To jump to the step No. set by tag set.

Operating method

By [Search] - [Tag jump] menu operation, the dialog box of tag JMP is displayed.  Select the step No. desired to jump to from the registered step No., and click Run button or press Enter key.

Related item

  Tag set


Ladder view display

[View] - [Ladder view]

Function

To open circuit window, or make active an already open circuit window.

Operating method

By [View] - [Ladder view] menu operation, the window display is changed over.


Instraction view display

[View] - [Instruction view]

Function

To open list window, or make active an already open list window.

Operating method

By [View] - [Instruction view] menu operation, the window display is changed over.


SFC view display

[View] - [SFC view]

Function

To open SFC window, or make active an already open SFC window.

Operating method

By [View] - [SFC view] menu operation, the window display is changed over.


Comment view display

[View] - [Comment view]

Function

To open comment window, or make active an already open comment window.

Operating method

By [View] - [Comment view] menu operation, the window display is changed over.


Register view display

[View] - [Register view]

Function

To open register window, or make active an already open register window.

Operating method

By [View] - [Register view] menu operation, the window display is changed over.


Comment display

[View] - [Comment display...]

Function

To set display or non-display of various comments and device.

Operating method

By [View] - [Comment display] menu operation, the dialog box of comment display is displayed.  Check the check box of the comment desired to be displayed.


Zoom

[View] - [Zoom]

Function

To display contents in display window in magnified or reduced scale.

Operating method

Specify the zoom rate (50%, 75%, 100%, 125%, 150%) by [View] - [Zoom] menu operation.


Ladder monitor

[Monitor / test] - [Start monitor]

Function

To monitor the operating state of the programmable controller in the display state of circuit window.  To transfer from the edit state of circuit window to monitor state, and display the operating state (on/off state) of the programmable controller in the displayed circuit.

Operating method

Make active the ladder window, and transfer to the monitor state by [Monitor/ test] - [Start monitor] menu operation.

Caution

1.  In the ladder monitor, only the on/off state on the circuit is monitored.

2.  When monitoring the present values and set values of register data, timer and counter, use the function of "Device registration monitor."

Related item

  Entry device monitor


Symbol

+ , - , * , / , = , . (period) , ? , # ,

$ , % , & , : (colon), ; (semicolon), __ (underscore)


Undo (Instruction edit)

[Edit] - [Undo]

Function

To cancel the command executed or the data entered immediately before, and return to the previous state.

Operating method

The preceding edit state is restored by [Edit] - [Undo] menu operation, or [Ctrl] + [Z] key operation.

Caution

1.  Not possible to restore depending on the function.


Cut (Instruction edit)

[Edit] - [Cut]

Function

To cut off in command unit.

Operating method

The selected command is cut off by [Edit] - [Cut] menu operation, or [Ctrl] + [X] key operation.  The cut data is saved in the clip board.

Caution

1.  If the selected command is over the capacity of the clip board, cut operation is disable.  Or Undo cannot be operated, either.

Related item

  Paste (Instruction edit)


Copy (Instruction edit)

[Edit] - [Copy]

Function

To copy in command unit.

Operating method

The selected command is saved in the clipboard by [Edit] - [Copy] menu operation, or [Ctrl] + [C] key operation.  The cut data is saved in the clip board.

Caution

1.  If the data to be copied is over the capacity of the clip board, copy operation is disable.  Or Undo cannot be operated, either.

Related item

Paste (Instruction edit)


Paste (Instruction edit)

[Edit] - [Paste]

Function

To paste in command unit.

Operating method

The command in the clip board is pasted by [Edit] - [Paste] menu operation, or [Ctrl] + [V] key operation.  The command to be pasted is the data is saved in the clip board by cut operation or copy operation.

Caution

1.  If the data in the clip board cannot be recognized as command, paste operation is disabled.

Related item

  Cut (Instruction edit)

  Copy (Instruction edit)


Delete (Instruction edit)

[Edit] - [Delete]

Function

To delete the selected command.

Operating method

The command is deleted by either [Edit] - [Delete] menu operation or [Delete] key operation.

Caution

1.  If Delete is executed, the command is not copied in the clip board.


NOP overwrite

[Edit] - [NOP overwrite]

Function

To write NOP in all specified range.

Operating method

By [Edit] - [NOP overwrite] menu operation, the dialog box of NOP batch write is displayed.  In this dialog box, specify the NOP writing range by step No., and click OK button or press Enter key, then this function is executed.

Caution

1.  If circuit display is effected after NOP batch writing, normal display may not be shown, and therefore this function should be executed after confirming the step No. before setting the writing range.


NOP insert

[Edit] - [NOP insert]

Function

To insert NOP in all specified range.

Operating method

By [Edit] - [NOP insert] menu operation, the dialog box of NOP batch insert is displayed.  In this dialog box, specify the NOP inserting range by step No., and click OK button or press Enter key, then this function is executed.

Caution

1.  It is not allowed to insert beyond the maximum step number of the program.


NOP remove

[Edit] - [NOP remove]

Function

To delete NOP command in specified range, and justify the succeeding commands forward.

Operating method

By [Edit] - [NOP remove] menu operation, the dialog box of NOP batch delete is displayed.  In this dialog box, specify the NOP deleting range by step No., and click OK button or press Enter key, then this function is executed.


Instruction

[Tool] - [Instruction...]

Function

To enter basic instruction or function according to the dialog box.

Operating method

By [Tool] - [Instruction] menu operation, the dialog box of instruction selection is displayed.  Set as required in this dialog box, and click OK button or press Enter key, then the set instruction is written into the cursor position.  Further, by clicking Reference button, the instruction detail or device detail dialog box is displayed, so that more specific setting can be entered.

Related item

  Instruction detail

  Device detail


Function bar

Function

To execute functions corresponding to function keys on the keyboard.


Contact/ Coil list

[View] - [Contact/ coil list]

Function

To display the status of use of contact and coil in the program of device.

Operating method

In active state of list window, by [View] - [Contact/ coil list] menu operation, the usable list window is displayed.  When the device is specified herein, the status of use of the device is displayed.  By double click of the display area of the status of use herein, or by moving the cursor and pressing Enter key, the display is changed over to the display step of list window.

Object elements:  X, Y, M, S, T, C, D, P, I, N, V, Z


Device used list

[View] - [Device used list]

Function

To display the using status of device in the program.

Operating method

In active state of list window, by [View] - [Device use list] menu operation, the use list window is displayed.  When the beginning device is specified herein, the state of use of subsequent devices is displayed.

Object elements:  X, Y, M, S, T, C, D, P, I, N

Display content:

  -| |- and -( )- show that the contact and coil are being used.  The numeral refers to the quantity being used.

  Display of E means that the device is used either by contact or coil only.


TC set value list

TC setting list

[View] - [TC setting list]

Function

To display the setting list of timer or counter in the program.

Operating method

In active state of list window, by [View] - [TC setting list] menu operation, the use list window is displayed.  At this time, if there is T or C at the cursor position of the list window, the device is specified at the beginning, or if there is neither T nor C, the beginning device is specified, then the set values of 24 points after the device are displayed.  The display area of T, C not driven by OUT command is blank.

Object elements:  T, C


Instruction detail

Function

To select a command from command list.

Operating method

The dialog box of command detail is displayed by clicking Reference button of command item in the dialog box of command selection.  Herein, by selecting (clicking or pressing Enter key) of the item in the command type display column, the command corresponding to the item is displayed in the command display column.  By selecting the command and clicking OK button, the selected command is set in the command column of the dialog box of command selection.  When selecting an application command, [D(32-bit command)] item or [P (pulse run)] item can be checked.

Related item

  Device detail


Device detail

Function

To select a device from device list.

Operating method

The dialog box of device detail is displayed by clicking Reference button of device item in the dialog box of command selection.  Herein, by selecting (clicking or pressing Enter key) of the item in the device data display column, the beginning of the device corresponding to the item is displayed in the device display column.  By entering the device number and clicking OK button or pressing Enter key, the selected device is set in the device column of the dialog box of command selection.  When selecting an application command, [Digit designation] item or [Modify] item can be checked.

Related item

  Instruction detail


Delete (SFC edit)

[Edit] - [Delete]

Function

To delete in SFC symbol unit.

Operating method

Delete SFC symbol at cursor position by executing [Edit] - [Delete] menu operation of [Delete] key operation.


State comment

[Edit] - [State comment...]

Function

To enter state comment while editing SFC.

Operating method

The dialog box of state comment input is displayed by [Edit] - [State comment] menu operation.  When state comment is already registered, the state comment is displayed.  Enter state comment in input column and press Enter or click OK button, then the state comment is registered for the state symbol at the cursor position.

Caution

1.  State comment is same as circuit comment in STL circuit.

Related item

  Ladder coment


Convert (SFC edit)

[Tool] - [Convert]

Function

To convert created SFC diagram into list format, and store on the memory inside the personal computer

Operating method

Executed by [Tool] - [Convert] menu operation, or function key [Convert] button (F4 key) push operation.  During the convert action, the message "Circuit convert being executed" is displayed.

Caution

1.  When the SFC window is closed without executing this convert operation, the created SFC diagram is erased.


Go to State

[Search] - [Go to state...]

Function

To designate and search arbitrary state No.

Operating method

The dialog box of state No. search is displayed by [Search] - [Go to state] menu operation.  Enter state No. to search, and click Run button or press Enter key, then the state No. search is executed, and the cursor moves to the position of the entered state No., and the display is changed over


JMP_sfc_moniter

SFC monitor

[Monitor/ Test] - [Start monitor]

Function

To monitor the operating state of the programmable controller while the SFC window is displayed.  To transfer from the edit state of SFC window to monitor state, and display the operating state (on/off state) of the programmable controller in the displayed SFC diagram.

Operating method

Set the SFC window in active state, and transfer to monitor state by [Monitor/ Test] - [Start monitor] menu operation.

Caution

1.  Only the on/off state on the SFC diagram is monitored on the SFC monitor.

2.  When monitoring the present values and set values of register data, timer and counter, use the function of Device registration monitor.

Related item

  Entry device monitor


SFC automatic monitor

[Monitor/ Test] - [Start auto monitor]

Function

To monitor the operating state of the programmable controller automatically in SFC window.  To display automatically "ON" state No.

Operating method

Set the SFC window in active state, and transfer to automatic monitor state by [Monitor/ Test] - [Start auto monitor] menu operation.

Caution

1.  Only the on/off state on the SFC diagram is monitored on the SFC automatic monitor.

2.  When monitoring the present values and set values of register data, timer and counter, use the function of Device registration monitor.

Related item

  Entry device monitor


Undo (Comment edit)

[Edit] - [Undo]

Function

To cancel the command executed or data entered immediately before, and return to previous state.

Operating method

Return to previous edit state by [Edit] - [Undo] menu operation or [Ctrl] + [Z] key operation.

Caution

1.  Unable to restore depending on the function.


Cut (Comment edit)

[Edit] - [Cut]

Function

To cut off selected comment, and save the data in the clip board.

Operating method

By [Edit] - [Cut] menu operation or [Ctrl] + [X] key operation, the selected comment is cut off.

Caution

1.  If the data of the selected comment exceeds the capacity of the clip board, the cut operation is disabled.  Or Undo cannot be operated, either.

Related item

  Paste (comment edit)


Copy (Comment edit)

[Edit] - [Copy]

Function

To copy the selected comment in the clip board.

Operating method

The selected comment is copied by [Edit] - [Copy] menu operation, or [Ctrl] + [C] key operation.

Caution

1.  If the data in the selected comment is over the capacity of the clip board, copy operation is disable.  Or Undo cannot be operated, either.

Related item

  Paste (comment edit)


Paste (Comment edit)

[Edit] - [Paste]

Function

To paste the content in the clip board.

Operating method

The comment is pasted by [Edit] - [Paste] menu operation, or [Ctrl] + [V] key operation.

Caution

1.  If the data in the clip board is not comment data, paste operation is disabled.

Related item

  Cut (comment edit)

  Copy (comment edit)


Delete (Comment edit)

[Edit] - [Delete]

Function

To delete the selected comment.

Operating method

The comment is deleted by either [Edit] - [Delete] menu operation or [Delete] key operation.

Caution

1.  If Delete is executed, the comment is not copied in the clip board.


All clear (Comment edit)

[Tool] - [All clear]

Function

To erase all specified comments.

Operating method

By [Tool] - [All clear] menu operation, the all clear dialog box is displayed.  By selecting erasing item(s) in the dialog box, and clicking OK button or pressing Enter key, all clear processing is executed.


Go to Top (Comment edit)

[Search] - [Go to Top]

Function

To display the comment at the beginning position.

Operating method

Executed by [Search] - [Go to Top] menu operation, or [Ctrl] + [Home] key operation.


Go to End (Comment edit)

[Search] - [Go to End]

Function

To display the comment at the final position.

Operating method

Executed by [Search] - [Go to End] menu operation, or [Ctrl] + [End] key operation.


Character search

[Search] - [Character search]

Function

To search the character string contained in the comment.

Operating method

The dialog box of character search is displayed by [Search] - [Character search] menu operation.  Set the character string to search in the dialog box, select the search direction, and click Run button or press Enter key, then the character search is executed, and the display is changed over when the comment containing the set character string is discovered.


Character exchange

[Search] - [Character exchange]

Function

To search the character string contained in the comment, and replace with other character string.

Operating method

The dialog box of character string replace is displayed by [Search] - [Character exchange] menu operation.  Set the character string to replace and the replacing method in the dialog box, and click Run button or press Enter key, then the character string replace is executed.


Function bar

Function

To execute various functions corresponding to function keys on the keyboard.

Operating method

The Help menu screen is displayed by pressing F1 key or clicking the Help item.  By key input of [Shift] + [F1], the Help of the function being executed is displayed.


Set device

Function

To designate the device comment to be displayed, and the display beginning device of the device name.

Operating method

Double-click the comment window, and left side device display area by the mouse.


Undo (Register edit)

[Edit] - [Undo]

Function

To cancel the command executed or data entered immediately before, and return to previous state.

Operating method

Return to previous edit state by [Edit] - [Undo] menu operation or [Ctrl] + [Z] key operation.

Caution

1.  Unable to restore depending on the function.


Cut (Register edit)

[Edit] - [Cut]

Function

To cut off selected data, and save in the clip board.

Operating method

By [Edit] - [Cut] menu operation or [Ctrl] + [X] key operation, the selected data is cut off.

Caution

1.  If the selected data exceeds the capacity of the clip board, the cut operation is disabled.  Or Undo cannot be operated, either.

Related item

  Paste (Register edit)


Copy (Register edit)

[Edit] - [Copy]

Function

To copy the selected data in the clip board.

Operating method

The selected data is copied by [Edit] - [Copy] menu operation, or [Ctrl] + [C] key operation.

Caution

1.  If the selected data is over the capacity of the clip board, copy operation is disable.  Or Undo cannot be operated, either.

Related item

  Paste(Register edit)


Paste (Register edit)

[Edit] - [Paste]

Function

To paste the content in the clip board.

Operating method

The data is pasted by [Edit] - [Paste] menu operation, or [Ctrl] + [V] key operation.

Caution

1.  If the data in the clip board is not register data, paste operation is disabled.

Related item

  Cut (Register edit)

  Copy (Register edit)


Delete (Register edit)

[Edit] - [Delete]

Function

To clear the selected data to 0.

Operating method

The data is cleared by either [Edit] - [Delete] menu operation or [Delete] key operation.

Caution

1.  If Delete is executed, the data is not copied in the clip board.


All clear (Register edit)

[Tool] - [All clear]

Function

To clear all specified data to 0.

Operating method

By [Tool] - [All clear] menu operation, the all clear dialog box is displayed.  By selecting erasing item(s) in the dialog box, and clicking OK button or pressing Enter key, all clear processing is executed.


Top (Register edit)

Go to Top (Register edit)

[Search] - [Go to Top]

Function

To display the register at the beginning position.

Operating method

Executed by [Search] - [Top] menu operation, or [Ctrl] + [Home] key operation.


End (Register edit)

Go to End (Register edit)

[Search] - [Go to End]

Function

To display the register at the final position.

Operating method

Executed by [Search] - [End] menu operation, or [Ctrl] + [End] key operation.


Function bar

Function

To execute various functions corresponding to function keys on the keyboard.

Operating method

The Help menu screen is displayed by pressing F1 key or clicking the Help item.  By key input of [Shift] + [F1], or clicking Help item while pressing [Shift] key, the Help of the function being executed is displayed.


Register setting

Register stting

[View] - [Register]

Function

To set register display.

Operating method

The display setting dialog is shown by [View] - [Register] menu selection, or by double-clicking the register number display area at the left side of the register window by the left button of the mouse.  In this dialog box, by setting the following items and clicking the Run button or pressing Enter key, the register window is displayed.

[Device]

Set the data register or file register to be displayed at the beginning.

[Display format]

Either table format or row format can be set.

[Data size]

Either 16-bit display or 32-bit display can be set.

[Display mode]

You can set binary, decimal, hexadecimal, ASCII, or floating decimal point display mode.  However, the floating decimal point display is valid only when the data size is 32 bits.  This setting is ignored if the display format is row format.

[Lower]

In the case of 32-bit data size, the number of lower position register can be set in either even number or odd number.  This setting is ignored in the case of 16-bit data size.


Close and open

[File] - [Close and open...]

Function

In an already opened state of sequence program, to discard the present sequence program or various data, and newly open the sequence program in the existing same file name, comment data, and other various data.

Operating method

Selected by [File] - [Close and open] menu operation, and when the present sequence program is changed and is not saved, the dialog box of [Confirm save] opens.

Caution

1.  If [Confirm save] dialog box is replied by [No (N)], the change content of the present sequence program is lost, and if replied by [Yes (Y)], the overwrite is saved.

Related item

  Open

  Save


Save

[File] - [Save]

Function

To save sequence program in work, comment data, and other various data in the file name and save place set by [Affix name and save].  When saving for the first time, the dialog box of [Affix name and save] is displayed.

Operating method

To save in the existing file name and save place, either manipulate [File] - [Save] menu operation or [Ctrl] + [S] key operation.

Related item

  Affix name and save


Affix name and save


Print

[File] - [Print...]

Function

To create and print sequence program and comment data in an existing format suited to the selected function.

Operating method

By [File] - [Print] menu operation or [Ctrl] + [P] key operation, the [Print condition] dialog box suited to each function opens, and print condition such as print with comment is set.  Print is started by clicking OK button or pressing Enter key.  To interrupt print, click Cancel button in [Printing] dialog box or press Esc key.

Caution

1.  When printing, connect the printer to the computer or network, and incorporate the driver and set by [Printer setting].

2.  Continuous printing of circuit or list, or printing of special data such as register data is effected by [Batch print].

Related item

  Printer setup

  Print all


Print all

[File] - [Print all...]

Function

To print circuit, list, SFC, register data, and other special data in batch, in an existing format, in specified printing items, and in sequential order.

Operating method

Select by [File] - [Print all] menu operation, and set printing items and detail in [Batch print] dialog box.  Printing sequence is the item registration order.  Printing is started by clicking OK button or pressing Enter key.  To interrupt print, click Cancel button in [Printing] dialog box or press Esc key.

Caution

1.  When printing, connect the printer to the computer or network, and incorporate the driver and set by [Printer setting].

Related item

  Printer setup


Page setup

[File] - [Page setup...]

Function

To set margin of paper, header, footer, and page in printing.

Operating method

Select by [File] - [Page setup] menu operation, and set in [Paper setting] dialog box.

Caution

1.  What is set here is effected in printing by [Print] or [Batch print].  The printing direction and paper size are set by [File] - [Printer setting].

Related item

  Printer setup


Print preview

[File] - [Print preview]

Function

To display print image of printing items.

Operating method

Select by [File] - [Print preview] menu operation, or, when selecting [Print all], by clicking Preview button in [Batch print] dialog box.

Related item

  Print


Program transfer

[PLC] - [Transfer]

Function

To transfer created sequence program in batch to the programmable controller.  Functions of transfer include [Read], [Write], and [Verify].

[Read]

To read the sequence program stored in the programmable controller into the computer.

[Write]

To write the sequence program stored in the computer into the programmable controller.

[Verify]

To verify the sequence programs stored in the programmable controller and computer.

Operating method

Select by [PLC] - [Transfer] - [Read], - [Write], - [Verify] menu operation.  When [Read] is selected, set the model of the connected programmable controller in [PC model setting] dialog box.

Caution

1.  The RS232C port of the computer and the programmable controller must be connected with specified cable and converter.

2.  After execution of [Read], the sequence program on the computer is lost, and the model of the programmable controller is changed to the set model, and the sequence program is changed over to the program being read in.

3.  In the case of [Write], the programmable controller must be stopped, and the program memory must be RAM or EE-PROM with the protect switch being cut off.  After writing program into the programmable controller, it is verified automatically.


Register transfer

[PLC] - [Register transfer]

Function

To transfer created register data in batch to the programmable controller.  Functions of transfer include [Read], [Write], and [Verify].

[Read]

To read the register data set in the programmable controller into the computer.

[Write]

To write the register data set in the computer into the programmable controller.

[Verify]

To verify the register data set in the programmable controller and computer.

Operating method

Select by [PLC] - [Register transfer] - [Read], - [Write], - [Verify] menu operation.  Set the type of the register in [Various functions] dialog box.

Caution

1.  The RS232C port of the computer and the programmable controller must be connected with specified cable and converter.

2.  The model of the programmable controller set in the computer and the model of the programmable controller being connected must be matched.


PLC memory clear

[PLC] - [PLC memory clear...]

Function

To initialize program and data in the programmable controller.  The following three items are to be cleared.

[PLC memory]

The sequence program is NOP, and the parameter is the default value.

[Data device memory]

The data of data file buffer is set to 0.

[Bit device memory]

The values of X, Y, M, S, T, C are set to 0.

Operating method

Select by [PLC] - [PLC memory clear] menu operation, and set clearing items in [PLC memory clear] dialog box.

Caution

1.  The RS232C port of the computer and the programmable controller must be connected with specified cable and converter.

2.  Special data register is not cleared.


Serial setting(D8120)

[PLC] - [Serial setting(8120)...]

Function

To set and display communication format when communicating with external device, by using RS232C adapter and RS command.  What is displayed is based on the data of special data register D8120 of the programmable controller being connected.

Operating method

Select by [PLC] - [Serial setting(D8120)] menu operation, and set the items of communication format in [Serial setting(D8120)] dialog box.

Caution

1.  The RS232C port of the computer and the programmable controller must be connected with specified cable and converter.


PLC keyword current or delete

[PLC] - [PLC keyword change, delete...]

Function

To register newly, change or cancel the keyword for the programmable controller connected to the computer

Operating method

Select by [PLC] - [PLC keyword change, delete] menu operation, and register in [PLC keyword register] dialog box.

[Register newly]

Enter keyword in a new keyword input text box, and click OK button or press Enter key to register.

[Change]

Enter keyword registered in the programmable controller in the former keyword input text box, feed line by Tab key, enter changed keyword in a new keyword input text box, and click OK button or press Enter key to register.

[Delete]

Enter keyword registered in the programmable controller in the former keyword input text box, feed line by Tab key, enter a space in a new keyword input text box, and click OK button or press Enter key to register.

Caution

1.  The RS232C port of the computer and the programmable controller must be connected with specified cable and converter.

2.  It has no effect on the keyword of sequence program on the computer.


Runtime program changes

[PLC] - [Runtime program changes...]

Function

To change part of the sequence program in the running programmable controller being connected to the computer.

Operating method

In [Circuit edit], the dialog box for confirmation appears by [PLC] - [Runtime program changes] menu operation or [Shift] + [F4] key operation, and it is executed by clicking OK button or pressing Enter key.

Caution

1.  This function changes the operation of the programmable controller, and should be confirmed after sufficiently confirming the changing content.

2.  The RS232C port of the computer and the programmable controller must be connected with specified cable and converter.

3.  The program memory of the programmable controller must be RAM.

4.  The sequence program that can be changed is one circuit block, and the number of steps is within 127 steps.  According to the required conditions, there should be no application command for high speed counter in the circuit block to be changed, or no label change.


PLC diagnostics

[PLC] - [PLC diagnostics...]

Function

To display status of programmable controller connected to computer, special data register relating to error, and content of memory.

Operating method

Execute by clicking OK button of [PLC diagnosis] dialog box displayed by [PLC] - [PLC diagnosis] menu operation, or pressing Enter key.

Caution

1.  The RS232C port of the computer and the programmable controller must be connected with specified cable and converter.


Sampling trace

[PLC] - [Sampling trace]

Function

Sampling trace is the function for storing the time-course changes of device as data, and displaying the data in time chart, or setting the sampling condition in the programmable controller, and displaying the time chart on the basis of the sampling data acquired by the programmable controller.

[Setting parameters]

The number of times of tracing, time, device, and trigger conditions are set.  The number of times of tracing can be set in a range of 1 to 512, and the time, 0 to 200 (*10 ms unit).  When the time is set at 0, it is every scan time.

[Run]

The set condition is written into the programmable controller, and start of sampling is instructed.

[Display]

When the programmable controller completes sampling, the sampling data is read out and displayed.

[Read from result file]

The sampling data read previously into the file is read out from the file.

[Write to result file]

The sampling data being read out is written into the file.

Operating method

Set the condition in each dialog box displayed by [PLC] - [Sampling trace] - [Setting parameters], - [Run], - [Display], - [Read from result file], ] [Write to result file] menu operation.

Caution

1.  Sampling is executed by the programmable controller, and the acquired data is stored in the programmable controller.  The data is read out and displayed at the computer side.

2.  When setting the condition in the programmable controller, the RS232C port of the computer and the programmable controller must be connected with specified cable and converter.


Display change

[View] - [Display setting...]

Function

To set the content of display of sampling trace result.

Operating method

When [View] - [Display setting] menu is selected with the open state of display window of sampling trace result, the dialog box of display changeover is displayed.  Specify the beginning point to be displayed, and the display format of data device (decimal or hexadecimal).


Ports

[PLC] - [Ports...]

Function

To set computer side RS232C serial port for connection with programmable controller.

Operating method

Set in [Communication port setting] dialog box displayed by [PLC] - [Port setting] menu operation.

Caution

1.  As for the port, refer to the computer you are using.


Program check

[Option] - [Program check...]

Function

To check grammar, double coil and circuit in created sequence program, and display the results.

[Grammar check]

Checking of command code and command format.

[Double coil check]

Checking of duplicated use of sequence output command of same device or same label.

[Circuit check]

Check for defect of ladder circuit composition.

Operating method

Set check items in [Program check] dialog box displayed by [Option] - [Program check] menu operation.  Executed by clicking OK button or pressing Enter key.

Caution

1.  If checked out in [Double coil check] or [Circuit check], it does not always lead to error at the programmable controller side or problem in operation.  In particular, double coil is not an error at the programmable controller side.  It is allowed in the stepladder circuit, or a double coil may be intentionally programmed for special use.


Parameters setting

[Option] - [Parameters setting...]

Function

To set the memory capacity such as program size of sequence program to be created, or latch range for determining the keep range of device.

Operating method

Set the item in [Parameter setting] dialog box displayed by [Option] - [Parameters setting] menu operation.

Caution

1.  The parameter right after starting a new creation is the default value.

2.  The parameter setting data is handled as part of the sequence program, and is stored in the programmable controller, file, and ROM.

3.  The comment area is not used in this system.  The comment is stored in file.


Keyword setting

[Option] - [Keyword setting...]

Function

To register newly, change, or cancel the keyword at the computer side.

Operating method

Select by [Option] - [Keyword setting] menu operation, and register in [Keyword setting] dialog box.

[Register newly]

Enter keyword in a new keyword input text box, and click OK button or press Enter key to register.

[Change]

Enter keyword registered in the computer in the former keyword input text box, feed line by Tab key, enter changed keyword in a new keyword input text box, and click OK button or press Enter key to register.

[Delete]

Enter keyword registered in the computer in the former keyword input text box, feed line by Tab key, enter a space in a new keyword input text box, and click OK button or press Enter key to register.

Caution

1.  It has no effect on the keyword of the programmable controller.


Printer title

[Option] - [Printer title...]

Function

To register the print data in specified print with title.  The title of each item is set as default, but can be changed.

Operating method

Register in the text box of the item in [Printer title] dialog box displayed by [Option] - [Printer title] menu operation.

Caution

1.  The data in [Title] test box is stored in the parameter of the sequence program.


Device range setting

[Option] - [Device range setting...]

Function

Usually, the allowable range of device is set in the maximum range determined by the model of the programmable controller, but it can be limited by setting an allowable range for each device.

Operating method

Set the range of each device in [Device range setting] dialog box displayed by [Option] - [Device allocation] menu operation.

Caution

1.  The range of the device set here is valid when creating sequence program or checking program.


Comment move

[Option] - [Comment move...]

Function

When a comment area is provided on the sequence program created by other programming device and Kana comment is registered, this comment is copied in the device comment area.

Operating method

Executed by clicking OK button or pressing Enter key in [Kana comment convert] dialog box displayed by [Option] - [Comment move] menu operation.

Caution

1.  If comment is already registered in device comment area, new comment is overwritten and former comment is erased.


Preferences

[Option] - [Preferences...]

Function

To set various environments.

Operating method

Check, as required, the check items in the [Preferences] dialog box displayed by [Option] - [Preferences] menu operation.


EPROM transfers

[Option] - [EPROM transfers]

Function

To transfer sequence program to the ROM writer connected to the computer through RS232C.  Functions of transfer include [Configure], [Read], [Write], and [Verify].

[Configure]

To set the format for communication with the ROM writer.  It must be matched with the setting at the ROM writer side.

[Read]

To read the sequence program of the ROM cassette mounted on the ROM writer into the computer.

[Write]

To write the sequence program stored in the computer into the ROM cassette mounted on the ROM writer.

[Verify]

To verify the sequence programs stored in the ROM cassette mounted on the ROM writer and computer.

Operating method

Select by [Option] - [EEPROM transfers] - [Configure], - [Read], - [Write], - [Verify] menu operation.  When [Read] is selected, set the model of the connected programmable controller in [PC model setting] dialog box.

Caution

1.  The ROM writer must be a model provided with RS232C transfer function, and supporting the corresponding format.

2.  As the transfer format of ROM writer, set "Intel hex."

3.  When handling EPROM-8 type ROM cassette of our make, the ROM adapter is needed.

Related item

  Ports setting


Entry device monitor

[Monitor/ test] - [Entry device monitor]

Function

To monitor in device unit.

Operating method

By [Monitor/ test] - [Entry device monitor] menu selection, the device registration monitor window is displayed.  Herein, to register the device, double-click the cursor position, or press Enter key to display the device registration dialog box.  Set the device and number of display points, and click OK button or press Enter key.

Related item

  Entry device


Entry device

Function

To set the device to be displayed in the device registration monitor.

Operating method

Set as follows in the device registration dialog box, and click Registration button or press Enter key.

[Device]

Set the beginning device to be monitored.  Valid devices are X, Y, M, special M, S, T, C, D, special D, V, and Z.

[Number of display points]

Set the number of points to be displayed continuously by the device.  The maximum registration is 48 points.

[Screen clear]

Check this time when clearing the already displayed device and displaying newly by a specified device.

Related item

  Entry device monitor


Display setting(D)

[View] - [Display setting(D)...]

Function

To change the setting of display format of device to be displayed in the device registration monitor.

Operating method

The dialog box of [Display change] is displayed by [View] - [Display setting (D)] menu operation.  Set the number of bits of the data to be displayed and the data format.

Related item

  Entry device monitor


Force Y output

[Monitor/ test] - [Force Y output...]

Function

To make the output (Y) of the programmable controller on/off by force.

Operating method

By [Monitor/ test] - [Force Y output] menu selection, the forced Y output dialog box is displayed.  Herein, set the device number and on/off, and click Run button or press Enter key, then the specified output is made on/off.

Related item

  Force ON/OFF


Force ON/OFF

[Monitor/ test] - [Force ON/ OFF...]

Function

To set or reset the bit device of the programmable controller by force.

Operating method

By [Monitor/ test] - [Force set, reset] menu selection, the forced set, reset dialog box is displayed.  Herein, set the device and SET/RST, and click Run button or press Enter key, then the specified device is set or reset.

- SET valid devices: X, Y, M, special M, S, T, C

- RST valid devices:  X, Y, M, special M, S, T, C, D, special D, V, Z

RST of word device:

When T or C is reset, the bit information is turned off and the present value is cleared to 0.  In the case of D, V, or Z, only the present value is cleared.

Related item

  Force Y output


Change current value

[Monitor test] - [Change current value...]

Function

To change the present value of the word device of the programmable controller.

Operating method

By [Monitor/ test] - [Change current value] menu selection, the present value change dialog box is displayed.  Herein, set the device and the present value to be changed, and click Run button or press Enter key, then the present value of the specified word device is changed.

[Device]

Word devices (T, C, D, special D, V, Z) are valid.

[Present value to be changed]

Set by adding K  before the data when setting in decimal notation, H in hexadecimal notation, B in binary notation, or A in ASCII.  In the case of ASCII, up to eight characters can be specified.

(Example)  K100, H002C, B01001, AFX

Setting range (in the case of decimal notation)

Object element   Allowed setting data

-----------------------------------------------------------

T, C0~199       K0~32767

C200~          K-2147483648~2147483647

D (16 bits)       K-32768~32767

D (32 bits)       K-2147483648~2147483647

[Data size]

When specifying data register or file register, either 16 bits or 32 bits can be set.

Related item

  Change setting value


Change setting value

[Monitor/ test] - [Change setting value...]

Function

To change the set value of timer or counter of the programmable controller.

Operating method

When there is OUT command of timer or counter at the cursor position in the circuit window during circuit monitor, by [Monitor/ test] - [Change setting value] menu selection, the Change setting value dialog box is displayed.  Herein, set the set value to be changed, and click Run button or press Enter key, then the set value of the specified device is changed.  If the set value of OUT command is the data register, or if the cursor position is application command and D, V or Z is present in its operand, this function can be also executed.  In this case, the device number can be changed.

This function can be executed when the following conditions are satisfied.

(1)  The program in the personal computer and the program in the programmable controller are matched.

(2)  The memory of the programmable controller is RAM or EEPROM (being stopped with protect switch OFF).

Caution

1.  This function is valid only when monitoring the circuit window.

Related item

  Change current value


Menu

The menu is composed of the following ten items, and each operation is selected from this menu.

  [File ]  [Edit]  [Tool]  [Search]  [View]  [PLC]  [Monitor/ Test]  [Option]  [Window]  [Help]


[File(F)]
Menu for selecting the function relating to read, write, and print of program.


[Edit(E)]
Menu for selecting the function for executing editing on each window.


[Tool(T)]
Menu for selecting the tool necessary for executing editing.


[Search(S)]
Menu for selecting search and replace function on edit window.


[View(V)]
Menu for executing changeover of display window, display of various lists, and setting of comment display.


[PC(P)]
Menu for executing program read and write on programmable controller, and on-line operation on programmable controller.


[Monitor/ Test(M)]
Menu for selecting the function for on-line debugging of programmable controller, relating to operation monitor, various test operations, etc. of programmable controller.


[Option(O)]
Menu for selecting the function of program check, program transfer to ROM writer, etc.


[Window(W)]
Menu of function for arranging displayed window neatly on screen.


[Help(H)]
Menu for displaying help file.


Tool bar

 The short-cut buttons corresponding to the menu operation are displayed.  By clicking the button once, the menu is functioned.


Function keys

In the function keys, functions corresponding to the windows are assigned in the buttons.  They also correspond to the function keys F1 to F10 on the keyboard.


Status bar

The status bar shows the information relating to the message or program.


Serial setting(parameter)

[Option] - [Serial setting(parameter)...]

Function

To set items for universal communication in parameter area.  The setting contents are data length, parity, stop bit, baud rate, protocol, sum check, transmission control procedure, station number setting, and time out judging time.

Operating method

Select by [Option] - [Serial setting(parameter)] menu operation, and set in the [Serial setting(parameter)] dialog box.

Caution

1.  The content set herein is set in the parameter meter.

2.  When data for universal communication is set, the moment of running the programmable controller, data is copied in the special data registers D8120, D1821, D8129.


PLCs mode setting

[Option] - [PLCs mode setting...]

Function

To set the mode of programmable controller in the parameter area.  The setting contents are on/off of battery-less mode, modem initialization, use or non-use of RUN terminal input, and setting of RUN terminal input number.

Operating method

Select by [Option] - [PLCs mode setting] menu operation, and set in the [PC mode setting] dialog box.

Caution

1.  The contents set herein are set in the parameter area.


PLC type change

[Option] - [PLC type change...]

Function

To change over the model of programmable controller.

Operating method

Select by [Option] - [PLC type change] menu operation, and set by the [Model changeover] dialog box.

Caution

1.  As the condition, only change from lower model to higher model is possible.  It is not allowed to change between models not mentioned in items.

2.  In model changeover, only the model can be changed over, and the parameter set contents are unchanged.  If necessary to change parameter, after changing over the model, change again in the [Parameter setting] dialog box.


Remote RUN/ STOP

[PLC] - [Remote RUN/ STOP...]

Function

To operate to run/stop by remote control on the programmable controller.

Operating method

Select by [PLC] - [Remote RUN/ STOP] menu operation, and operate in the [Remote run/stop] dialog box.

Caution

1.  This function changes the operating state of the sequencer, and hence due caution is needed in manipulation.


Set step number

[View] - [Comment view] - [Block comment...]

[View] - [Comment view] - [Coil comment...]

Function

To display a list of block comments and coil comments.  The block comment and coil comment are controlled by program step No.  Accordingly, reading of list display is reading by step No.

Operating method

The dialog box of [Step No. designation] is displayed by [View] - [Comment view] - (Block comment], or [View] - [Comment view] - (Coil comment].  Enter the step No. corresponding to the comment desired to be displayed.


Line connection

[Remote] - [Connect]

Function

The telephone line is connected so that the program data can be written and read between the programmable controller and the data can be transferred between the personal computer using the telephone line.

Operating method

By the menu operation "[Remote] - [Connect] - [to PLC] ([to File transfer])", the line connection dialog is displayed.

Select the destination to connect the telephone line in the connection destination list, and click the CONNECT button.

When modifying the information (telephone No., etc.) on the connection destination, select the connection destination to be modified, click the MODIFY button, then modify the information.

When registering the connection destination to the connection destination list, click the NEW REGISTER button and register the information.

When connecting the line by manual operation without selecting the connection destination in the connection destination list, click the MANUAL CONNECT button and connect the line.

Caution

1.  Set the modem to be used before connecting the line.

Related item

  Manual connection

  Registration/modification of connection list


Line disconnection

[Remote] - [Disconnect]

Function

The telephone line connected is disconnected.

Operating method

By the menu operation "[Remote] - [Disconnect]", disconnect the telephone line.


File transfer

[Remote] - [File transfer]

Function

Sending and receiving of files are executed.

Operating method

Sending: By the menu operation "[Remote] - [File transfer] - [Transmit]", the dialog for selecting the file to be sent is displayed.

Select the desired file, and send it.

Receiving: By the menu operation "[Remote] - [File transfer] - [Receive]", receive the data.

Related item

  end destination path


Environment

[Remote] - [Environment]

Function

The modem to be used and the communication log file are set.

Operating method

By the menu operation "[Remote] - [Environment] - [Modem set] ([Log file set]), perform each setting.

Related item

  Modem setting


Registration/modification of connection list

Function

The connection destination name, the telephone No., etc. which are already registered are modified, or such information is newly registered.

Operating method

Click the REGISTER button, and register the data to the connection destination list in the line connection dialog.

Destination: Enter the name using up to 64 characters.  (However, all the characters are not displayed in the connection destination list.)

Telephone No: Enter the No. using up to 32 characters consisting of numerics and the "-" symbols.

Extension No.: Enter a numeric of 0 to 9.  (When the extension No. is not required, let the input column be blank.)

Unit time: Enter the time of 0 to 999.9 seconds which can be connected by 1 unit.

When the log file is not recorded or when the connection charge is not recorded in the log file, the unit time is not required to be entered.

      Daytime: 8:00 a.m. to 7:00 p.m.

      Night: 7:00 p.m. to 11:00 p.m.

      Midnight: 11:00 p.m. to 8:00 a.m. of next day


Manual connection

Function

The telephone line is connected by manual operation.

Operating method

Click the CONNECT button, and connect the telephone line.

Destination: Enter the name using up to 64 characters.  (However, all the characters are not displayed in the connection destination list.)

Telephone No: Enter the No. using up to 32 characters consisting of numerics and the "-" symbols.

Extension No.: Enter a numeric of 0 to 9.  (When the extension No. is not required, let the input column be blank.)

Unit time: Enter the time of 0 to 999.9 seconds which can be connected by 1 unit.

When the log file is not recorded or when the connection charge is not recorded in the log file, the unit time is not required to be entered.

      Daytime: 8:00 a.m. to 7:00 p.m.

      Night: 7:00 p.m. to 11:00 p.m.

      Midnight: 11:00 p.m. to 8:00 a.m. of next day


Modem setting

[Remote] - [Environment] - [Modem...]

Function

The modem to be used with the telephone line is set.

Operating method

Select the modem to be used in the modem name list, and click the OK button.

Once the modem name is selected, the information on the selected modem is saved.  You do not have to set it again until the modem to be used is modified.

Caution

1.  Make sure to select the modem to be used before connecting the telephone line.

Related item

  Modem registration


Modem registration

Function

The telephone line is connected by manual operation.

Operating method

Click the REGISTER button, and register the list to the modem setting dialog.

Name: Enter the name using up to 40 half-width characters.

Initialization command: Enter the command using up to 64 half-width characters.

Setting example of PV-AF3360 manufactured by AIWA

(1) Command echo is not performed.

(2) Delivery is performed when the bell sound is issued twice.

(3) The result code is sent back.

(4) The result code is sent back in words.

(5) MNP automatic selection mode is specified.

(6) Automatic adjustment of the DTE data speed is prohibited.

(7) Flow control is not performed.

Number of re-dials: Enter a numeric of 0 to 9.

Re-dial waiting time: Enter a numeric of 0 to 999 seconds.

Line type: Select "pulse" or "tone" in accordance with the telephone line to be used.


Specification of send destination path

Function

The telephone line is connected by manual operation.

Operating method

In response to the message "Do you specify send path?",

when you have selected "NO", the \FILE directory is automatically created under the directory in which "FX-PCS/WIN" is installed, then the receive file is saved in it.

When you have selected "YES", enter the send destination directory using up to 50 characters (full path) to the send destination path column.


Default comments for special M/D

[Tool] - [Default comments for special M/D...]

Function

The device comments for the special device registers (M8xxx) and the special data registers (D8xxx) are set to the default.

Note: "x" indicates a numeric.

Operating method

The comment for the device register or the data register whose check button is checked is automatically set.

Caution

1.  When the device comment is already registered, it is overwritten.


Mismatch list

Function

The program is verified.  If a mismatch is detected, the step No. at which the mismatch is present and the contents of the mismatch are displayed (for up to 32 positions).

The processing can be jumped to a position of mismatch.

Operating method

By the menu operation "[PLC] - [Program transfer] - [Verify]", the mismatch list dialog is displayed when mismatches are detected in the program.

When the mismatch step No. displayed on the dialog is double-clicked, the processing is jumped to the clicked position of mismatch.


 <<YourApp>> Help Index

How To ...

<<add your application-specific "how to" topics here>>

Commands

File menu

Edit menu

View menu

Window menu

Help menu


File menu commands


Edit menu commands


View menu commands


Window menu commands


Help menu commands


File New command
New command (File menu)


New

[File (F)] - [New (N)...]

Function

To create a new sequence program.

Operating method

Select by [File] - [New] menu operation, or [Ctrl] + [N] key operation, and select the objective PC model of sequence program to be created in PC model setting dialog box.

Caution

1.  When [New] is manipulated while the sequence program is already open, the corresponding application S/W is newly started up, and it is ready to create a new sequence program.

Related item

  Open


File Open command
Open command (File menu)


Open

[File (F)] - [Open (O)...]

Function

To open newly sequence program and various data such as comment data of existing same file name.  To open sequence program and various data such as comment data operated previously, select from a list of files displayed in [File] menu.

Operating method

Select by [File] - [Open] menu operation or [Ctrl] + [O] key operation, and select a necessary sequence program from a list of files in [Open file] dialog box.

Caution

1.  When [Open] is manipulated while the sequence program is already open, the corresponding application S/W is newly started up, and the designated sequence program is prepared.

2.  Sequence program and various data such as comment data of same file name are handled as integral data.


File Close command
Close command (File menu)


File Save command
Save command (File menu)


File Save As command
Save As command (File menu)


Affix name and save

[File (F)] - [Affix name and save (A)...]

Function

To set the file name to be saved and the saving place, and save sequence program and various data such as comment data.

Operating method

Select by [File] - [Affix name and save] menu operation, then the dialog box [Affix name and save] opens.  Set the file name and drive.  You can also register the comment on the file in the dialog box [Writer program].  When �u.PMC�v is entered in the file name column, the data is saved in the format of program file that can be used on DOS version.

Caution

1.  Input of extension is not particularly necessary when entering the file name.  All files are saved together with the existing extension.

2.  It is only program + parameter (.PMC) data that can be saved in the DOS file format, and comment data is not saved in DOS file format.


File 1, 2, 3, 4 command
1, 2, 3, 4 command (File menu)


File Exit command
Exit command (File menu)


Undo/Can't Undo command (Edit menu)


Redo command (Edit menu)


Cut command (Edit menu)


Copy command (Edit menu)


Paste command (Edit menu)


View Toolbar command
Toolbar command (View menu)


Toolbar


View Status Bar Command
Status Bar command (View menu)


Status Bar


New command (Window menu)


Cascade command (Window menu)


Tile command (Window menu)


Tile Horizontal command (Window menu)


Tile Vertical command (Window menu)


Window Arrange Icons Command


1, 2, ... command (Window menu)


Index command (Help menu)


Using Help command (Help menu)


About command (Help menu)


Help Using Help Command
Context Help command


Title Bar


Scroll bars


Size command (System menu)


Move command (Control menu)


System Minimize Command
Minimize command (application Control menu)


Maximize command (System menu)


Next Window command (document Control menu)


Previous Window command (document Control menu)


Close command (Control menus)


Restore command (Control menu)


Switch to command (application Control menu)


View Ruler Command
Ruler command (View menu)


Font setting

[Option (O)] - [Font setting (F)...]

Function

To set font and character size to be displayed on each window.

Operating method

Set in the dialog box [Font setting] displayed by [Option] - [Font setting] menu operation.


Choose Color Dialog
Choose Color dialog box


Edit Find Command
Find command (Edit menu)


Find Dialog
Find dialog box


Edit Replace Command
Replace command (Edit menu)


Replace Dialog
Replace dialog box


Edit Repeat Command
Repeat command (Edit menu)


Edit Clear Command
Clear command (Edit menu)


Edit Clear All
Clear All command (Edit menu)


Next Pane Command
Next Pane


Prev Pane Command
Prev Pane


Modifying the Document


No Help Available


No Help Available


File Print command
Print command (File menu)


Print dialog box


Print Progress Dialog


File Print Preview command
Print Preview command (File menu)


Print Preview toolbar


File Print Setup command
Print Setup command (File menu)


Printer setting

[File (F)] - [Printer setting (R)...]

Function

To set printer model other than registered printer, print direction, paper size, etc.

Operating method

Select by menu operation of [File] - [Printer setting], and set by dialog box of [Printer setting].

Caution

1.  The set data is applied to printing in [Print] and [Batch print].


File Page Setup Command
Page Setup command (File menu)